%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% This function calculates the CAPEX for each fleet
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [Fleet_Cost_CAPEX] = Calculate_Fleet_CAPEX(Fleet_Space)


%Initialize vessel cost:
Cost_Vessel1 = 220;
Cost_Vessel2 = 294;
Cost_Vessel3 = 277;
Cost_Vessel4 = 310;
Cost_Vessel5 = 298;
Cost_Vessel6 = 623;
Cost_Vessel7 = 446;
Cost_Vessel8 = 419;

Cost_Matrix = [Cost_Vessel1;Cost_Vessel2;Cost_Vessel3;Cost_Vessel4;...
               Cost_Vessel5;Cost_Vessel6;Cost_Vessel7;Cost_Vessel8];

%Initialize loop
[Fleet_number, Vessel_types] = size(Fleet_Space);
C = 1:10;
Fleet_Cost_inf = zeros(Fleet_number,Vessel_types);
Fleet_Cost_CAPEX = zeros(Fleet_number,1);
%Fill matrix range
 for i = 1:Fleet_number
       for j = 1:length(Cost_Matrix)
           for k = 1:length(C)
                 if Fleet_Space(i,j) == k
                   Fleet_Cost_inf(i,j) = k*Cost_Matrix(j);  
                 end
                   
           end
       end
       Fleet_Cost_CAPEX(i) = sum(Fleet_Cost_inf(i,:));
 end
Fleet_Cost_CAPEX = Fleet_Cost_CAPEX;
end