%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% This function calculates the yearly OPEX for each fleet
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [Fleet_Cost_OPEX] = Calculate_Fleet_OPEX(Fleet_Space)


%Initialize vessel cost:
Cost_Vessel1 = 36;
Cost_Vessel2 = 25;
Cost_Vessel3 = 44;
Cost_Vessel4 = 45;
Cost_Vessel5 = 46;
Cost_Vessel6 = 80;
Cost_Vessel7 = 67;
Cost_Vessel8 = 47;

Cost_Matrix = [Cost_Vessel1;Cost_Vessel2;Cost_Vessel3;Cost_Vessel4;...
               Cost_Vessel5;Cost_Vessel6;Cost_Vessel7;Cost_Vessel8];

%Initialize loop
[Fleet_number, Vessel_types] = size(Fleet_Space);
C = 1:10;
Fleet_Cost_inf = zeros(Fleet_number,Vessel_types);
Fleet_Cost_OPEX = zeros(Fleet_number,1);
%Fill matrix range
 for i = 1:Fleet_number
       for j = 1:length(Cost_Matrix)
           for k = 1:length(C)
                 if Fleet_Space(i,j) == k
                   Fleet_Cost_inf(i,j) = k*Cost_Matrix(j);  
                 end
                   
           end
       end
       Fleet_Cost_OPEX(i) = sum(Fleet_Cost_inf(i,:));
 end
Fleet_Cost_OPEX = Fleet_Cost_OPEX;
end