
%Finding the pareto trace 
Epoch_Space;
Pareto_Set;
[num_epochs,num_fleets] = size(Epoch_Space);
trace = unique(Pareto_Set);
Pareto_Trace_temp_infeasible = [trace,histc(Pareto_Set(:),trace)];
Pareto_Trace = [Pareto_Trace_temp_infeasible(:,1), Pareto_Trace_temp_infeasible(:,2)/num_epochs];

[a,b] = size(Pareto_Trace_temp_infeasible);
C = ones(a,1);
for i = 1:a
    if Pareto_Trace_temp_infeasible(i,1) == 0
        C(i) = 0;
    end
end


Pareto_Trace_temp=[];
for i = 1:a
        if C(i) == 1;
             Pareto_Trace_temp = [Pareto_Trace_temp_infeasible(i,:); Pareto_Trace_temp];
        end
end
        

X = Pareto_Trace_temp(:,1);
Y = Pareto_Trace_temp(:,2);

figure(35)
bar(X,Y)
xlabel('Fleet Number')
ylabel('Number of Pareto Occurences')
title('Multi-Epoch Pareto Trace')