%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Create Performance Attributes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [Attribute_Nr_PatDays,Attribute_Nr_Vessels,Attribute_Range,...
    Attribute_Endurance,Attribute_Speed,Attribute_Helicopter,...
    Attribute_Smallboat,Attribute_Sensors, Attribute_Arctic,...
    Attribute_Crew,Attribute_Oil_Rec,Attribute_Bollard_Pull] =...
    Performance_Attributes()

%Attribute Nr. of Patrol Days
Attribute_Nr_PatDays = [0 3000];

%Attribute Nr. of Vessels
Attribute_Nr_Vessels = [0 15];

%Attribute range:
Attribute_Range = [4000 10000];

%Attribute endurance:
Attribute_Endurance = [7 60];

%Attribute Speed:
Attribute_Speed = [10 28];

%Attribute Heli:
Attribute_Helicopter = [0 2];

%Attribute Smallboat:
Attribute_Smallboat = [0 2];

%Attribute Sensors:
Attribute_Sensors = [1 3];

%Attribute Arctic:
Attribute_Arctic = [1 3];

%Attribute Crew:
Attribute_Crew = [0 100];

%Attribute Oil rec
Attribute_Oil_Rec = [0 1000];

%Attribute Bollard Pull 
Attribute_Bollard_Pull = [0 150];

end %End function
