function[Fleet_Space_Infeasible] = Create_Fleet_Space_infeasible()

%Create number of each vessel that can be mapped into fleets 
Vessel_1 = [0:1:8];
Vessel_2 = [0:1:8];
Vessel_3 = [0:1:8];
Vessel_4 = [0:1:8];
Vessel_5 = [0:1:8];
Vessel_6 = [0:1:8];
Vessel_7 = [0:1:8];
Vessel_8 = [0:1:1];

%Create array 0 and 1 for fleet mapping
 Vessel_Array = {Vessel_1,Vessel_2,Vessel_3,...
     Vessel_4,Vessel_5,Vessel_6,Vessel_7,Vessel_8};
 
 %Generate variable location for vessel to mapping
 [a b c d e f g h  ] = ndgrid(Vessel_Array{:});
 

 %Map all possible fleet configurations, also infeasible
 Fleet_Space_Infeasible = [a(:) b(:) c(:) d(:) e(:) f(:) g(:) h(:)  
     ];
 
end