
Cm = Fleet_Cost_CAPEX;
Um = Epoch_Fleet_Utility;
Pareto_Set;
[epochs,pareto_fleets] = size(Pareto_Set);

for h = 1:epochs

    figure(h)
    plot(Cm,Um(h,:),'blo')
    xlabel('Cost [MNOK]')
    ylabel('Utility')
    title(['Tradespace Exploration for Epoch ' num2str(h)])


end
%% 

%% Plot Epoch 1
Epoch1_Pareto_Designs = [];
Epoch1_Pareto_utility_cost = [];
figure(1)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(1,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(1,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch1_Pareto_Designs(t,1) = x;
    Epoch1_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch1_Pareto_utility_cost(t,1) = x;
    Epoch1_Pareto_utility_cost(t,2) = Um(1,x);
    %Collect cost of pareto solutions
    Epoch1_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 2
Epoch2_Pareto_Designs = [];
Epoch2_Pareto_utility_cost = [];
figure(2)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(2,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(2,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch2_Pareto_Designs(t,1) = x;
    Epoch2_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch2_Pareto_utility_cost(t,1) = x;
    Epoch2_Pareto_utility_cost(t,2) = Um(2,x);
    %Collect cost of pareto solutions
    Epoch2_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 3
Epoch3_Pareto_Designs = [];
Epoch3_Pareto_utility_cost = [];
figure(3)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(3,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(3,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch3_Pareto_Designs(t,1) = x;
    Epoch3_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch3_Pareto_utility_cost(t,1) = x;
    Epoch3_Pareto_utility_cost(t,2) = Um(3,x);
    %Collect cost of pareto solutions
    Epoch3_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 4
Epoch4_Pareto_Designs = [];
Epoch4_Pareto_utility_cost = [];
figure(4)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(4,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(4,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch4_Pareto_Designs(t,1) = x;
    Epoch4_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch4_Pareto_utility_cost(t,1) = x;
    Epoch4_Pareto_utility_cost(t,2) = Um(4,x);
    %Collect cost of pareto solutions
    Epoch4_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 5
Epoch5_Pareto_Designs = [];
Epoch5_Pareto_utility_cost = [];
figure(5)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(5,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(5,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch5_Pareto_Designs(t,1) = x;
    Epoch5_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch5_Pareto_utility_cost(t,1) = x;
    Epoch5_Pareto_utility_cost(t,2) = Um(5,x);
    %Collect cost of pareto solutions
    Epoch5_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 6
Epoch6_Pareto_Designs = [];
Epoch6_Pareto_utility_cost = [];
figure(6)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(6,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(6,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch6_Pareto_Designs(t,1) = x;
    Epoch6_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch6_Pareto_utility_cost(t,1) = x;
    Epoch6_Pareto_utility_cost(t,2) = Um(6,x);
    %Collect cost of pareto solutions
    Epoch6_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 7
Epoch7_Pareto_Designs = [];
Epoch7_Pareto_utility_cost = [];
figure(7)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(7,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(7,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch7_Pareto_Designs(t,1) = x;
    Epoch7_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch7_Pareto_utility_cost(t,1) = x;
    Epoch7_Pareto_utility_cost(t,2) = Um(7,x);
    %Collect cost of pareto solutions
    Epoch7_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 8
Epoch8_Pareto_Designs = [];
Epoch8_Pareto_utility_cost = [];
figure(8)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(8,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(8,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch8_Pareto_Designs(t,1) = x;
    Epoch8_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch8_Pareto_utility_cost(t,1) = x;
    Epoch8_Pareto_utility_cost(t,2) = Um(8,x);
    %Collect cost of pareto solutions
    Epoch8_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 9
Epoch9_Pareto_Designs = [];
Epoch9_Pareto_utility_cost = [];
figure(9)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(9,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(9,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch9_Pareto_Designs(t,1) = x;
    Epoch9_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch9_Pareto_utility_cost(t,1) = x;
    Epoch9_Pareto_utility_cost(t,2) = Um(9,x);
    %Collect cost of pareto solutions
    Epoch9_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 10
Epoch10_Pareto_Designs = [];
Epoch10_Pareto_utility_cost = [];
figure(10)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(10,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(10,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch10_Pareto_Designs(t,1) = x;
    Epoch10_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch10_Pareto_utility_cost(t,1) = x;
    Epoch10_Pareto_utility_cost(t,2) = Um(10,x);
    %Collect cost of pareto solutions
    Epoch10_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 11
Epoch11_Pareto_Designs = [];
Epoch11_Pareto_utility_cost = [];
figure(11)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(11,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(11,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch11_Pareto_Designs(t,1) = x;
    Epoch11_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch11_Pareto_utility_cost(t,1) = x;
    Epoch11_Pareto_utility_cost(t,2) = Um(11,x);
    %Collect cost of pareto solutions
    Epoch11_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 12
Epoch12_Pareto_Designs = [];
Epoch12_Pareto_utility_cost = [];
figure(12)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(12,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(12,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch12_Pareto_Designs(t,1) = x;
    Epoch12_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch12_Pareto_utility_cost(t,1) = x;
    Epoch12_Pareto_utility_cost(t,2) = Um(12,x);
    %Collect cost of pareto solutions
    Epoch12_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 13
Epoch13_Pareto_Designs = [];
Epoch13_Pareto_utility_cost = [];
figure(13)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(13,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(13,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch13_Pareto_Designs(t,1) = x;
    Epoch13_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch13_Pareto_utility_cost(t,1) = x;
    Epoch13_Pareto_utility_cost(t,2) = Um(13,x);
    %Collect cost of pareto solutions
    Epoch13_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 14
Epoch14_Pareto_Designs = [];
Epoch14_Pareto_utility_cost = [];
figure(14)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(14,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(14,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch14_Pareto_Designs(t,1) = x;
    Epoch14_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch14_Pareto_utility_cost(t,1) = x;
    Epoch14_Pareto_utility_cost(t,2) = Um(14,x);
    %Collect cost of pareto solutions
    Epoch14_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 15
Epoch15_Pareto_Designs = [];
Epoch15_Pareto_utility_cost = [];
figure(15)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(15,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(15,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch15_Pareto_Designs(t,1) = x;
    Epoch15_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch15_Pareto_utility_cost(t,1) = x;
    Epoch15_Pareto_utility_cost(t,2) = Um(15,x);
    %Collect cost of pareto solutions
    Epoch15_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 16
Epoch16_Pareto_Designs = [];
Epoch16_Pareto_utility_cost = [];
figure(16)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(16,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(16,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch16_Pareto_Designs(t,1) = x;
    Epoch16_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch16_Pareto_utility_cost(t,1) = x;
    Epoch16_Pareto_utility_cost(t,2) = Um(16,x);
    %Collect cost of pareto solutions
    Epoch16_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 17
Epoch17_Pareto_Designs = [];
Epoch17_Pareto_utility_cost = [];
figure(17)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(17,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(17,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch17_Pareto_Designs(t,1) = x;
    Epoch17_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch17_Pareto_utility_cost(t,1) = x;
    Epoch17_Pareto_utility_cost(t,2) = Um(17,x);
    %Collect cost of pareto solutions
    Epoch17_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 18
Epoch18_Pareto_Designs = [];
Epoch18_Pareto_utility_cost = [];
figure(18)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(18,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(18,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch18_Pareto_Designs(t,1) = x;
    Epoch18_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch18_Pareto_utility_cost(t,1) = x;
    Epoch18_Pareto_utility_cost(t,2) = Um(18,x);
    %Collect cost of pareto solutions
    Epoch18_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 19
Epoch19_Pareto_Designs = [];
Epoch19_Pareto_utility_cost = [];
figure(19)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(19,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(19,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch19_Pareto_Designs(t,1) = x;
    Epoch19_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch19_Pareto_utility_cost(t,1) = x;
    Epoch19_Pareto_utility_cost(t,2) = Um(19,x);
    %Collect cost of pareto solutions
    Epoch19_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 20
Epoch20_Pareto_Designs = [];
Epoch20_Pareto_utility_cost = [];
figure(20)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(20,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(20,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch20_Pareto_Designs(t,1) = x;
    Epoch20_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch20_Pareto_utility_cost(t,1) = x;
    Epoch20_Pareto_utility_cost(t,2) = Um(20,x);
    %Collect cost of pareto solutions
    Epoch20_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 21
Epoch21_Pareto_Designs = [];
Epoch21_Pareto_utility_cost = [];
figure(21)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(21,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(21,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch21_Pareto_Designs(t,1) = x;
    Epoch21_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch21_Pareto_utility_cost(t,1) = x;
    Epoch21_Pareto_utility_cost(t,2) = Um(21,x);
    %Collect cost of pareto solutions
    Epoch21_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 22
Epoch22_Pareto_Designs = [];
Epoch22_Pareto_utility_cost = [];
figure(22)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(22,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(22,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch22_Pareto_Designs(t,1) = x;
    Epoch22_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch22_Pareto_utility_cost(t,1) = x;
    Epoch22_Pareto_utility_cost(t,2) = Um(22,x);
    %Collect cost of pareto solutions
    Epoch22_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 23
Epoch23_Pareto_Designs = [];
Epoch23_Pareto_utility_cost = [];
figure(23)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(23,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(23,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch23_Pareto_Designs(t,1) = x;
    Epoch23_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch23_Pareto_utility_cost(t,1) = x;
    Epoch23_Pareto_utility_cost(t,2) = Um(23,x);
    %Collect cost of pareto solutions
    Epoch23_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 24
Epoch24_Pareto_Designs = [];
Epoch24_Pareto_utility_cost = [];
figure(24)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(24,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(24,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch24_Pareto_Designs(t,1) = x;
    Epoch24_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch24_Pareto_utility_cost(t,1) = x;
    Epoch24_Pareto_utility_cost(t,2) = Um(24,x);
    %Collect cost of pareto solutions
    Epoch24_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 25
Epoch25_Pareto_Designs = [];
Epoch25_Pareto_utility_cost = [];
figure(25)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(25,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(25,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch25_Pareto_Designs(t,1) = x;
    Epoch25_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch25_Pareto_utility_cost(t,1) = x;
    Epoch25_Pareto_utility_cost(t,2) = Um(25,x);
    %Collect cost of pareto solutions
    Epoch25_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 26
Epoch26_Pareto_Designs = [];
Epoch26_Pareto_utility_cost = [];
figure(26)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(26,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(26,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch26_Pareto_Designs(t,1) = x;
    Epoch26_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch26_Pareto_utility_cost(t,1) = x;
    Epoch26_Pareto_utility_cost(t,2) = Um(26,x);
    %Collect cost of pareto solutions
    Epoch26_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 27
Epoch27_Pareto_Designs = [];
Epoch27_Pareto_utility_cost = [];
figure(27)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(27,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(27,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch27_Pareto_Designs(t,1) = x;
    Epoch27_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch27_Pareto_utility_cost(t,1) = x;
    Epoch27_Pareto_utility_cost(t,2) = Um(27,x);
    %Collect cost of pareto solutions
    Epoch27_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 28
Epoch28_Pareto_Designs = [];
Epoch28_Pareto_utility_cost = [];
figure(28)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(28,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(28,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch28_Pareto_Designs(t,1) = x;
    Epoch28_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch28_Pareto_utility_cost(t,1) = x;
    Epoch28_Pareto_utility_cost(t,2) = Um(28,x);
    %Collect cost of pareto solutions
    Epoch28_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 29
Epoch29_Pareto_Designs = [];
Epoch29_Pareto_utility_cost = [];
figure(29)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(29,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(29,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch29_Pareto_Designs(t,1) = x;
    Epoch29_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch29_Pareto_utility_cost(t,1) = x;
    Epoch29_Pareto_utility_cost(t,2) = Um(29,x);
    %Collect cost of pareto solutions
    Epoch29_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 30
Epoch30_Pareto_Designs = [];
Epoch30_Pareto_utility_cost = [];
figure(30)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(30,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(30,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch30_Pareto_Designs(t,1) = x;
    Epoch30_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch30_Pareto_utility_cost(t,1) = x;
    Epoch30_Pareto_utility_cost(t,2) = Um(30,x);
    %Collect cost of pareto solutions
    Epoch30_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 31
Epoch31_Pareto_Designs = [];
Epoch31_Pareto_utility_cost = [];
figure(31)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(31,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(31,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch31_Pareto_Designs(t,1) = x;
    Epoch31_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch31_Pareto_utility_cost(t,1) = x;
    Epoch31_Pareto_utility_cost(t,2) = Um(31,x);
    %Collect cost of pareto solutions
    Epoch31_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t

%% Plot Epoch 32
Epoch32_Pareto_Designs = [];
Epoch32_Pareto_utility_cost = [];
figure(32)
hold on
for t = 1:pareto_fleets
    x = Pareto_Set(32,t);
    if x ~= 0 %Avoid infeasible fleet designs
    %Plot the parto front
    scatter(Cm(x),Um(32,x),'filled', 'MarkerFaceColor','r')
    %Make an overview of the pareto solutions
    Epoch32_Pareto_Designs(t,1) = x;
    Epoch32_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
    %Collect utility score of pareto solutions
    Epoch32_Pareto_utility_cost(t,1) = x;
    Epoch32_Pareto_utility_cost(t,2) = Um(32,x);
    %Collect cost of pareto solutions
    Epoch32_Pareto_utility_cost(t,3) = Cm(x);
    end%if
    
end %for t